shithub: riscv

Download patch

ref: 39d7180d764ba0f7067ba3b991a8b9811573b0db
parent: 1421316bab6d31bfffc55c91d09135e2ec26b158
author: aiju <aiju@phicode.de>
date: Fri Aug 12 02:47:13 EDT 2011

more bullshit fixing

--- a/lib/bullshit
+++ b/lib/bullshit
@@ -5,9 +5,9 @@
 interface
 singleton
 framework
-NoSQL
+NoSQL |
 cache
-self-signing
+self-signing |
 template
 API
 service
--- a/rc/bin/bullshit
+++ b/rc/bin/bullshit
@@ -44,7 +44,7 @@
 		n += 2
 	for(i = 0; i < n; i++)
 		printf "%s%s ", word[last = int(rand() * nword)], suffix()
-	if(rand() > 0.05 || (last >= 0 && noend[last]) || hassuffix)
+	if(rand() < 0.1 || (last >= 0 && noend[last]) || hassuffix)
 		printf "%s ", end[int(rand() * nend)]
 	print ""
 }
--